import { InternalViewpoint, RedlinesData, AutodeskRedlineCollection, CameraData, AutodeskCommonCamera } from './types';
import { Viewpoint, Visibility } from '../api/types/Viewpoint';
import type { RenderMode } from '../utils/constants';
export declare function calculateFieldOfViewFromVerticalExtent(verticalExtent: number, targetDistance: number): number;
export declare const NULL_VISIBILITY: Visibility;
export declare class ViewpointFactory {
    static createViewpoint(viewpoint: Viewpoint): InternalViewpoint;
    private static getCameraData;
    private static getSectionsData;
    private static getRedlinesData;
    static getVisibility(viewpoint: Viewpoint): Visibility;
    static getRenderMode(viewpoint: Viewpoint): RenderMode;
    static convertFromAutodeskCommonCamera(autodeskCameraData: AutodeskCommonCamera): CameraData;
    static convertFromAutodeskRedlineCollection(autodeskMarkup: AutodeskRedlineCollection): RedlinesData;
    static getUnit(viewpoint: InternalViewpoint): string;
    static getFov(viewpoint: InternalViewpoint): number;
}
